import os
import utils.reseau_social_data as rs_data

# %% Créer le répertoire data s'il n'existe pas
if not os.path.exists('data'):
    os.makedirs('data')

# %% Créer les répertoires pour chaque réseau sociaux
for reseau_social in rs_data.reseau_social_data:
    if not os.path.exists(f'data/{reseau_social["nom"]}/'):
        os.makedirs(f'data/{reseau_social["nom"]}/')
    for repertoire in reseau_social['repertoires']:
        if not os.path.exists(f'data/{reseau_social["nom"]}/{repertoire}/'):
            os.makedirs(f'data/{reseau_social["nom"]}/{repertoire}/')
